package at.jku.ssw.psw2.ue01.demos.list;

import javax.swing.JList;
import javax.swing.ListSelectionModel;

/**
 * Swing component derived from {@link JList} for representing persons. Works
 * with {@link PersonModel}.
 * 
 * @author hp
 *
 */
@SuppressWarnings("serial")
class PersonList extends JList<Person> {

	/**
	 * Constructor initializing component with model and configuring its ui.
	 * 
	 * @param model
	 *            the model for the person list component.
	 */
	public PersonList(PersonModel model) {
		super(model);
		setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
	}

}
